import { type Static } from '@sinclair/typebox';
/**
 * @link https://api.nrfcloud.com/v1/#tag/All-Devices/operation/ListDevices
 */
export declare const DeviceShadow: import("@sinclair/typebox").TObject<{
    id: import("@sinclair/typebox").TString;
    $meta: import("@sinclair/typebox").TObject<{
        createdAt: import("@sinclair/typebox").TString;
        updatedAt: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TString>;
    }>;
    state: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TObject<{
        reported: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>>;
        desired: import("@sinclair/typebox").TOptional<import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>>;
        version: import("@sinclair/typebox").TNumber;
        metadata: import("@sinclair/typebox").TRecord<import("@sinclair/typebox").TString, import("@sinclair/typebox").TAny>;
    }>>;
}>;
export type DeviceShadowType = Static<typeof DeviceShadow>;
